<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:18 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotableNode.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">AnnotableNode</a></td>
<td class="colLast">
<div class="block">An element which can be the target of annotations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/WithDeclaration.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">WithDeclaration</a></td>
<td class="colLast">
<div class="block">Element with a declaration representable as a String.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">AnnotationDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationMemberDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">AnnotationMemberDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/BaseParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">BaseParameter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/BodyDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">BodyDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ClassOrInterfaceDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">ClassOrInterfaceDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">ConstructorDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/EmptyMemberDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">EmptyMemberDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/EmptyTypeDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">EmptyTypeDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/EnumConstantDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">EnumConstantDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/EnumDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">EnumDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">FieldDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/InitializerDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">InitializerDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">MethodDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ModifierSet.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">ModifierSet</a></td>
<td class="colLast">
<div class="block">Class to hold modifiers.<br>
 The modifier constants declared here holds equivalent values to
 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/reflect/Modifier.html?is-external=true" title="class or interface in java.lang.reflect"><code>Modifier</code></a> constants.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MultiTypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">MultiTypeParameter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">Parameter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/TypeDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">TypeDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/VariableDeclarator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">VariableDeclarator</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/VariableDeclaratorId.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">VariableDeclaratorId</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
